// CardGameEx2.java 

import ch.aplu.jcardgame.*;
import ch.aplu.jgamegrid.*;

public class CardGameEx2 extends CardGame
{
  public enum Suit
  {
    KREUZ, KARO, HERZ, PIK
  }

  public enum Rank
  {
    ASS, KOENIG, DAME, BAUER, ZEHN, NEUN, ACHT, SIEBEN, SECHS
  }
  private Deck deck = new Deck(Suit.values(), Rank.values(), "cover");
  private Hand[] hand;

  public CardGameEx2()
  {
    super(600, 600);
    setSimulationPeriod(50);
    hand = deck.dealingOut(2, 6);
    RowLayout rowLayout1 = new RowLayout(new Location(300, 200), 400);
    rowLayout1.setStepDelay(10);
    hand[0].setView(this, rowLayout1);
    hand[0].draw();
    FanLayout fanLayout = new FanLayout(new Location(300, 1100), 700, 260, 280);
    fanLayout.setStepDelay(10);
    hand[1].setView(this, fanLayout);
    hand[1].draw();
  }

  public static void main(String[] args)
  {
    new CardGameEx2();
  }
}
